## GESSourceClip GESSourceClip — Base Class for sources of a GESLayer |

## Synopsis

    #include <ges/ges.h>

                        GESSourceClip;
                        GESSourceClipClass;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GESTimelineElement
                   +----GESContainer
                         +----GESClip
                               +----GESSourceClip
                                     +----GESTestClip
                                     +----GESUriClip
                                     +----GESTitleClip

## Implemented Interfaces

GESSourceClip implements GESExtractable and GESMetaContainer.

## Description

## Details

### GESSourceClip

    typedef struct _GESSourceClip GESSourceClip;

Base class for sources of a GESLayer

### GESSourceClipClass

    typedef struct {
    } GESSourceClipClass;